%define req_gail_version 1.3
%define pkgname libgtkhtml
%define lib_major 0
%define api_version 2
%define lib_name %mklibname gtkhtml %{api_version} %{lib_major}

Summary: GtkHTML 2
Name: %{pkgname}%{api_version}
Version: 2.4.0
Release: 1mdk
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2

License: LGPL
Url: http://www.gnome.org/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: gail-devel >= %{req_gail_version}
BuildRequires: gnome-vfs2-devel

%description
GtkHTML 2

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
GtkHTML 2

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GtkHTML2
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	gail-devel
Requires:	gnome-vfs2-devel

%description -n %{lib_name}-devel
GtkHTML2

%prep
%setup -q -n %{pkgname}-%{version}

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x

#parallel compilation is broken
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0
- fix BuildRequires

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.5-1mdk
- Release 2.3.5

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Fri May 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.0-1mdk
- Release 2.3.0
- Remove patch0 (merged upstream)

* Wed Feb 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Patch0 (CVS) : fix crash when not using default style (Mdk bug #712)

* Mon Jan 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.8-1mdk
- Release 2.1.8

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.7-1mdk
- Release 2.1.7

* Thu Dec 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.6-1mdk
- Release 2.1.6
- Remove patch0 (merged upstream)

* Wed Dec 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- Patch0 : fix crash when clicking on a link

* Tue Dec 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Mon Nov 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Fri Oct 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Jul 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Recompiled against gail 0.17

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Recompiled against gail 0.16

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-1mdk
- Release 1.99.9

* Mon May  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.7-1mdk
- Release 1.99.7

* Mon Apr 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.6-1mdk
- Release 1.99.6

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.5-1mdk
- Release 1.99.5

* Tue Apr  9 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.4-1mdk
- Initial Mdk package

